## net.i2p.client.streaming
Interface I2PSocket.SocketErrorListener

All Known Implementing Classes:
  I2PTunnelHTTPClientRunner, I2PTunnelRunner

Enclosing interface:
  I2PSocket

    public static interface I2PSocket.SocketErrorListener

Allow notification of underlying errors communicating across I2P without waiting for any sort of cleanup process. For example, if some data could not be sent, this listener is notified immediately, and while the input/output streams are notified through IOExceptions, they are told only after the TCP-like stream is closed (which may be a minute later, if the close message times out as well). This is not fired on normal close() activity.

Method Summary
`void` `errorOccurred()` An error occurred communicating with the peer.

Method Detail

### errorOccurred

    void errorOccurred()

  An error occurred communicating with the peer.